<div class="flex flex-col flex-auto items-center justify-center mx-auto w-full sm:w-90 drop-shadow-2xl"
    style="background-color: #F8F8F8;">

    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" [routerLink]="['/transaction-history']"><mat-icon
                class="mt-6 mb-6 " style="color: #0038FF;">keyboard_arrow_left</mat-icon><span
                class="mt-6 mb-6 font-Semibold-16" style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <!-- Main -->
    <div class="flex-auto p-5">
        <div class="font-Semibold-40 leading-none sm:px-6 mb-7" style="text-align:center !important;">Transaction
            Details</div>

        <!-- CONTENT GOES HERE -->
        <form action="">
            <div class="flex flex-col p-8 pt-4 bg-card shadow overflow-hidden mb-10" style="text-align:left;">
                <div class="flex flex-row">
                    <div class="flex flex-col mx-3 my-1 ml-0">
                        <div class="mt-4 font-Semibold-18 text-xl leading-none">
                            <div>{{displaytransactionType}}</div>
                        </div>
                        <div class="mt-4 font-Semibold-18 text-xl leading-none" style="color: #0D9636;">
                            <div>{{displayStatus}}</div>
                        </div>
                    </div>
                </div>
                <div class="relative flex flex-col p-4 pt-10 pl-0">
                    <div class="font-Regular-14 text-zinc-600 text-lg">Reference Number</div>
                    <div class="text-lg font-Medium-14">{{referenceId}}</div>
                    <div class="font-Regular-14 text-zinc-600 text-lg">{{ date | date:'dd MMMM yyyy - hh:mm:ss a' }}
                    </div>
                </div>
                <div class="flex items-center mt-2">
                    <div class="flex-auto mt-px border-t"></div>
                </div>
                <div class="relative flex flex-col flex-auto items-center w-auto mb-4 mt-4">
                    <button class="fuse-mat-button-large w-full button-r5-download mt-3" [color]="'secondary'"
                        style="border:1px solid #0038FF;" mat-flat-button [routerLink]="['/buy-bgd']">
                        <span class="font-Semibold-16" style="color: #0038FF;">Download Receipt</span>
                    </button>
                </div>
                <div class="flex items-center mt-2">
                    <div class="flex-auto mt-px border-t"></div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Regular-16 font-7B7B7B">Price per Gram</div>
                    <div class="font-Semibold-16">{{amount | number:'.6'}}g</div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Regular-16 font-7B7B7B">Bank Account</div>
                    <div class="font-Semibold-16"></div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Regular-16 font-7B7B7B">Account Number</div>
                    <div class="font-Semibold-16"></div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Regular-16 font-7B7B7B">Transaction Fee</div>
                    <div class="font-Semibold-16">RM{{transactionFee | number:'1.2-2'}}</div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Regular-16 font-7B7B7B">Top Up Method</div>
                    <div class="font-Semibold-16"></div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Regular-16 font-7B7B7B">Transaction Fee {{transSetupFee | number:'1.2-2'}}{{transSetupOum}}</div>
                    <div class="font-Semibold-16">RM{{transactionFee | number:'1.2-2'}}</div>
                </div>
                <div class="flex items-center mt-2">
                    <div class="flex-auto mt-px border-t"></div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Regular-16 font-7B7B7B">Amount</div>
                    <div class="font-Semibold-16">RM{{transactionAmount | number:'1.2-2'}}</div>
                </div>
            </div>
        </form>

    </div>